{
   Title: 			TAppPath
   Version: 			1.0
   Date: 			13.07.1998

   Description: 		Extracts path to your program.
   Author: 			Ivan Radanovic (ivanr@technologist.com; http://ir.home.pages.de)
   Delphi version:		3.0
   Policy:			Freeware
   Comment:			If you use this component, I would like to get e-mail.
}

unit AppPath;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TAppPath = class(TComponent)
  private
    function GetAppPath : string;
  protected
    { Protected declarations }
  public
    property AppPath: string read GetAppPath;
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('IR', [TAppPath]);
end;

function TAppPath.GetAppPath:string;
var x,y:string;
begin
x := ParamStr(0);
y := ExtractFileName(ParamStr(0));
Result := copy(x,0,length(x) - length(y));
end;

end.
